using SpaceInvaders, REPL

install(repl) = repl.interface.modes[1].keymap_dict[' '] = (s, args...) -> begin
    if isempty(s) || position(REPL.LineEdit.buffer(s)) == 0
        SpaceInvaders.main()
        print(repl.t.out_stream, "\e[E")
        REPL.LineEdit.write_prompt(repl.t, repl.interface.modes[1], repl.hascolor)
    else
        REPL.LineEdit.edit_insert(s, ' ')
    end
    nothing
end
__init__() = isdefined(Base, :active_repl) ? install(Base.active_repl) : Base.atreplinit(install)
